Commit eb39bab8 authored by Amadeu Andrade Barbosa Junior's avatar Amadeu Andrade Barbosa Junior
Browse files

Apagando arquivos desnecessários do ramo do Core 2.0.x


git-svn-id: https://subversion.tecgraf.puc-rio.br/engdist/openbus/core/trunk@133152 ae0415b3-e90b-0410-900d-d0be9363c56b
parent 82018665
Projeto: OpenBUS
Site: http://www.tecgraf.puc-rio.br/openbus
Desenvolvedor: Tecgraf / PUC-Rio
======== [ Instalar o OpenBUS a partir do pacote final ] =========
1. Escolha um caminho para instalação e defina a variável OPENBUS_HOME:
É preciso manter esta configuração em seu profile!
Por exemplo, em BASH:
export OPENBUS_HOME=/usr/local
Ou em CSH:
setenv OPENBUS_HOME /usr/local
2. Extraia o pacote diretamente no mesmo caminho apontado por OPENBUS_HOME
3. Adicione as seguintes linhas ao seu profile:
Se o seu SHELL padrão for BASH:
-----------8<-------------------------------------
. ${OPENBUS_HOME}/specs/shell/kshrc
-------------------------------------->8----------
Se o seu SHELL padrão for CSH:
-----------8<-------------------------------------
. ${OPENBUS_HOME}/specs/shell/cshrc
-------------------------------------->8----------
4. Pronto! Agora basta usar o OpenBUS:
cd ${OPENBUS_HOME}/bin
./run_access_control_server.sh # lançamento do Serviço de Acesso
./run_registry_server.sh # lançamento do Serviço de Registro
./run_session_server.sh # lançamento do Serviço de Sessão
#!/bin/ksh
echo "==============================================================================="
echo
echo " CONFIGURANDO NOVO AMBIENTE "
echo
echo "==============================================================================="
###############################################################################
if [ -z "${WORKSPACE}" ] ;then
echo "[ERRO] Varivel de ambiente WORKSPACE no definida"
exit 1
fi
. ${WORKSPACE}/hudson/openbus.sh
###############################################################################
ShowLog() {
echo "================================ $1 Output Log ==============================="
cat $2
echo
echo "================================ $1 Error Log ================================"
cat $3
echo
echo "=============================================================================="
}
###############################################################################
echo "==============================================================================="
echo "[INFO] Governana: cadastrando servios bsicos"
echo "==============================================================================="
cd ${OPENBUS_HOME}/data/conf
## tratamento de admin, lease e verbose
echo "AccessControlServerConfiguration.administrators = {'tester'}" >> \
AccessControlServerConfiguration.lua
echo "AccessControlServerConfiguration.lease = 300" >> \
AccessControlServerConfiguration.lua
echo "AccessControlServerConfiguration.oilVerboseLevel = 5" >> \
AccessControlServerConfiguration.lua
echo "RegistryServerConfiguration.administrators = {'tester'}" >> \
RegistryServerConfiguration.lua
echo "RegistryServerConfiguration.oilVerboseLevel = 5" >> \
RegistryServerConfiguration.lua
MGT_EXTRAARGS="--login=tester --password=tester"
## tratamento de variaes no host/porta do ACS
if [ -n "${ACS_HOST}" ] && [ -n "${ACS_PORT}" ]; then
# config bsica
echo "AccessControlServerConfiguration.hostName = '${ACS_HOST}'" >> \
AccessControlServerConfiguration.lua
echo "AccessControlServerConfiguration.hostPort = ${ACS_PORT}" >> \
AccessControlServerConfiguration.lua
echo "RegistryServerConfiguration.accessControlServerHostName = '${ACS_HOST}'" >> \
RegistryServerConfiguration.lua
echo "RegistryServerConfiguration.accessControlServerHostPort = ${ACS_PORT}" >> \
RegistryServerConfiguration.lua
echo "SessionServerConfiguration.accessControlServerHostName = '${ACS_HOST}'" >> \
SessionServerConfiguration.lua
echo "SessionServerConfiguration.accessControlServerHostPort = ${ACS_PORT}" >> \
SessionServerConfiguration.lua
# FT
echo "\
ftconfig.hosts.ACS = { \"corbaloc::${ACS_HOST}:${ACS_PORT}/ACS_v1_05\" }
ftconfig.hosts.ACSIC = { \"corbaloc::${ACS_HOST}:${ACS_PORT}/openbus_v1_05\" }
ftconfig.hosts.LP = { \"corbaloc::${ACS_HOST}:${ACS_PORT}/LP_v1_05\" }
ftconfig.hosts.FTACS = { \"corbaloc::${ACS_HOST}:${ACS_PORT}/FTACS_v1_05\" }
" >> ACSFaultToleranceConfiguration.lua
# management
MGT_EXTRAARGS="$MGT_EXTRAARGS --acs-host=${ACS_HOST} "
MGT_EXTRAARGS="$MGT_EXTRAARGS --acs-port=${ACS_PORT} "
fi
## tratamento de variaes no host/porta do RGS
if [ -n "${RGS_HOST}" ] && [ -n "${RGS_PORT}" ]; then
# config bsica
echo "RegistryServerConfiguration.registryServerHostName = '${RGS_HOST}'" >> \
RegistryServerConfiguration.lua
echo "RegistryServerConfiguration.registryServerHostPort = ${RGS_PORT}" >> \
RegistryServerConfiguration.lua
# FT
echo "\
ftconfig.hosts.RS = { \"corbaloc::${RGS_HOST}:${RGS_PORT}/RS_v1_05\" }
ftconfig.hosts.FTRS = { \"corbaloc::${RGS_HOST}:${RGS_PORT}/FTRS_v1_05\" }
" >> RSFaultToleranceConfiguration.lua
fi
## tratamento de variaes no host/porta do SS
if [ -n "${SS_HOST}" ] && [ -n "${SS_PORT}" ]; then
# config bsica
echo "SessionServerConfiguration.sessionServerHostName = '${SS_HOST}'" >> \
SessionServerConfiguration.lua
echo "SessionServerConfiguration.sessionServerHostPort = ${SS_PORT}" >> \
SessionServerConfiguration.lua
fi
###############################################################################
# Precisa criar pois pode ser a primeira execuo
mkdir -p ${OPENBUS_HOME}/data/certificates
# Remove todos o cadastro para criar um novo
rm -f ${OPENBUS_HOME}/data/*.db
rm -f ${OPENBUS_HOME}/data/offers/*
rm -f ${OPENBUS_HOME}/data/credentials/*
rm -f ${OPENBUS_HOME}/data/certificates/*
cd ${OPENBUS_HOME}/data/certificates
for i in AccessControlService RegistryService SessionService ; do
echo -e "\n\n\n\n\n\n\n" | ${WORKSPACE}/hudson/genkey.sh $i
echo
done
cp ${OPENBUS_HOME}/data/certificates/*.crt ${OPENBUS_HOME}/specs/management
###############################################################################
ACSPIDFILE=${WORKSPACE}/acs.pid
ACSOUTFILE=${WORKSPACE}/acs-job-${BUILD_NUMBER}-date-${BUILD_ID}.out
ACSERRFILE=${WORKSPACE}/acs-job-${BUILD_NUMBER}-date-${BUILD_ID}.err
ACSBIN=${OPENBUS_HOME}/bin/run_access_control_server.sh
cd ${OPENBUS_HOME}/bin
echo "Iniciando Servio de Acesso"
daemonize -o ${ACSOUTFILE} -e ${ACSERRFILE} -p ${ACSPIDFILE} ${ACSBIN}
sleep 10
ACSPID=`cat ${ACSPIDFILE}`
if ! ( kill -0 ${ACSPID} 1>/dev/null 2>&1 ) ;then
echo "[ERRO] Falha ao iniciar o Servio de Controle de Acesso"
ShowLog "ACS" ${ACSOUTFILE} ${ACSERRFILE}
rm -f ${ACSOUTFILE} ${ACSERRFILE} ${ACSPIDFILE}
exit 1
fi
###############################################################################
cd ${OPENBUS_HOME}/specs/management
${OPENBUS_HOME}/bin/run_management.sh --script=access_control_service.mgt ${MGT_EXTRAARGS}
MGTACS_CODE=$?
${OPENBUS_HOME}/bin/run_management.sh --script=registry_service.mgt ${MGT_EXTRAARGS}
MGTRGS_CODE=$?
if [ ${MGTACS_CODE} -ne 0 ] -o [ ${MGTRGS_CODE} -ne 0 ] ;then
kill -9 ${ACSPID}
echo "[ERRO] Falha ao executar a implantao do Servio de Acesso ou do Servio de Registro"
ShowLog "ACS" ${ACSOUTFILE} ${ACSERRFILE}
rm -f ${ACSOUTFILE} ${ACSERRFILE} ${ACSPIDFILE}
exit 1
fi
###############################################################################
RGSPIDFILE=${WORKSPACE}/rgs.pid
RGSOUTFILE=${WORKSPACE}/rgs-job-${BUILD_NUMBER}-date-${BUILD_ID}.out
RGSERRFILE=${WORKSPACE}/rgs-job-${BUILD_NUMBER}-date-${BUILD_ID}.err
RGSBIN=${OPENBUS_HOME}/bin/run_registry_server.sh
cd ${OPENBUS_HOME}/bin
echo "Iniciando Servio de Registro"
daemonize -o ${RGSOUTFILE} -e ${RGSERRFILE} -p ${RGSPIDFILE} ${RGSBIN}
sleep 10
RGSPID=`cat ${RGSPIDFILE}`
if ! ( kill -0 ${RGSPID} 1>/dev/null 2>&1 ) ;then
kill -9 ${ACSPID}
echo "[ERRO] Falha ao iniciar o Servio de Registro"
ShowLog "ACS" ${ACSOUTFILE} ${ACSERRFILE}
ShowLog "RGS" ${RGSOUTFILE} ${RGSERRFILE}
rm -f ${ACSOUTFILE} ${ACSERRFILE} ${ACSPIDFILE}
rm -f ${RGSOUTFILE} ${RGSERRFILE} ${RGSPIDFILE}
exit 1
fi
###############################################################################
# Servio de Registro j deve estar rodando
cd ${OPENBUS_HOME}/specs/management
${OPENBUS_HOME}/bin/run_management.sh --script=session_service.mgt ${MGT_EXTRAARGS}
MGTSS_CODE=$?
if [ ${MGTSS_CODE} -ne 0 ];then
echo "[ERRO] Falha ao executar a implantao do Servio de Sesso"
ShowLog "ACS" ${ACSOUTFILE} ${ACSERRFILE}
ShowLog "RGS" ${RGSOUTFILE} ${RGSERRFILE}
kill -9 ${RGSPID}
kill -9 ${ACSPID}
rm -f ${ACSOUTFILE} ${ACSERRFILE} ${ACSPIDFILE}
rm -f ${RGSOUTFILE} ${RGSERRFILE} ${RGSPIDFILE}
exit 1
fi
###############################################################################
kill -9 ${RGSPID}
kill -9 ${ACSPID}
rm -f ${ACSOUTFILE} ${ACSERRFILE} ${ACSPIDFILE}
rm -f ${RGSOUTFILE} ${RGSERRFILE} ${RGSPIDFILE}
#!/bin/ksh
checkOpenSSL ()
{
which openssl 2> /dev/null 1> /dev/null
if [ $? == "1" ]; then
echo "==============================================================================="
echo "[ERRO] O aplicativo 'openssl' no foi encontrado"
echo "==============================================================================="
return 1
fi
}
# Padro usar do host
OPENSSL=openssl
CONFIG=
# OpenBus configurado, usar nossa instalao. Seno, usar do host.
if [ -z "${OPENBUS_HOME}" ]; then
checkOpenSSL
else
OPENSSL=${OPENBUS_HOME}/bin/openssl
CONFIG="-config ${OPENSSL_HOME}/openssl.cnf"
# Verifica se o OpenBus instalou o OpenSSL, caso contrrio, voltar o padro.
if ! [ -x ${OPENSSL} ]; then
checkOpenSSL
OPENSSL=openssl
CONFIG=
fi
fi
if [ -n "$1" ]; then
NAME=$1
else
echo -n "Digite o nome da chave:"
read NAME
fi
echo "==============================================================================="
echo "[INFO] Gerando certificado: ${NAME}"
echo "==============================================================================="
${OPENSSL} genrsa -out ${NAME}_openssl.key 2048
${OPENSSL} pkcs8 -topk8 -in ${NAME}_openssl.key -nocrypt > ${NAME}.key
${OPENSSL} req ${CONFIG} -new -x509 -key ${NAME}.key -out ${NAME}.crt \
-outform DER
rm -f ${NAME}_openssl.key
......@@ -46,6 +46,4 @@ fi
# Variveis de ambiente do OpenBus
export OPENBUS_HOME="${OPENBUS_HOME:-${WORKSPACE}/install}"
. ${WORKSPACE}/trunk/specs/shell/kshrc
###############################################################################
#!/bin/ksh
echo "==============================================================================="
echo
echo " TESTE DO SERVIO DE CONTROLE DE ACESSO "
echo
echo "==============================================================================="
###############################################################################
if [ -z "${WORKSPACE}" ] ;then
echo "[ERRO] Varivel de ambiente WORKSPACE no definida"
exit 1
fi
. ${WORKSPACE}/hudson/openbus.sh
###############################################################################
ShowLog() {
echo "================================ $1 Output Log ==============================="
cat $2
echo
echo "================================ $1 Error Log ================================"
cat $3
echo
echo "=============================================================================="
}
###############################################################################
ACSPIDFILE=${WORKSPACE}/acs.pid
RGSPIDFILE=${WORKSPACE}/rgs.pid
ACSOUTFILE=${WORKSPACE}/acs-job-${BUILD_NUMBER}-date-${BUILD_ID}.out
ACSERRFILE=${WORKSPACE}/acs-job-${BUILD_NUMBER}-date-${BUILD_ID}.err
RGSOUTFILE=${WORKSPACE}/rgs-job-${BUILD_NUMBER}-date-${BUILD_ID}.out
RGSERRFILE=${WORKSPACE}/rgs-job-${BUILD_NUMBER}-date-${BUILD_ID}.err
###############################################################################
echo "Iniciando Servio de Controle de Acesso"
daemonize -o ${ACSOUTFILE} -e ${ACSERRFILE} -p ${ACSPIDFILE} ${OPENBUS_HOME}/bin/run_access_control_server.sh
sleep 5
ACSPID=`cat ${ACSPIDFILE}`
if ! ( kill -0 ${ACSPID} 1>/dev/null 2>&1 ) ;then
echo "==============================================================================="
echo "[ERRO] Falha ao iniciar o Servio de Controle de Acesso"
ShowLog "ACS" ${ACSOUTFILE} ${ACSERRFILE}
rm -f ${ACSOUTFILE} ${ACSERRFILE} ${ACSPIDFILE}
exit 1
fi
###############################################################################
###############################################################################
echo "Iniciando Servio de Registro"
daemonize -o ${RGSOUTFILE} -e ${RGSERRFILE} -p ${RGSPIDFILE} ${OPENBUS_HOME}/bin/run_registry_server.sh
sleep 10
RGSPID=`cat ${RGSPIDFILE}`
if ! ( kill -0 ${RGSPID} 1>/dev/null 2>&1 ) ;then
echo "==============================================================================="
echo "[ERRO] Falha ao iniciar o Servio de Registro"
ShowLog "ACS" ${ACSOUTFILE} ${ACSERRFILE}
ShowLog "RGS" ${RGSOUTFILE} ${RGSERRFILE}
kill -9 ${ACSPID}
rm -f ${ACSOUTFILE} ${ACSERRFILE} ${ACSPIDFILE}
rm -f ${RGSOUTFILE} ${RGSERRFILE} ${RGSPIDFILE}
exit 1
fi
###############################################################################
cd ${OPENBUS_HOME}/test
cp ${OPENBUS_HOME}/data/certificates/AccessControlService.crt .
./run_unit_test.sh accesscontrol/AccessControlServiceTestSuite.lua
ACSCODE=$?
./run_unit_test.sh accesscontrol/ILeaseProviderTestSuite.lua
LPCODE=$?
kill -9 ${RGSPID}
kill -9 ${ACSPID}
CODE=0
if [ ${ACSCODE} -eq 1 ] -o [ ${LPCODE} -eq 1 ] ;then
ShowLog "ACS" ${ACSOUTFILE} ${ACSERRFILE}
ShowLog "RGS" ${RGSOUTFILE} ${RGSERRFILE}
CODE=1
fi
rm -f ${ACSOUTFILE} ${ACSERRFILE} ${ACSPIDFILE} ${RGSOUTFILE} ${RGSERRFILE} ${RGSPIDFILE}
exit ${CODE}
#!/bin/ksh
echo "==============================================================================="
echo
echo " TESTE DO MECANISMO DE GOVERNANA "
echo
echo "==============================================================================="
###############################################################################
if [ -z "${WORKSPACE}" ] ;then
echo "[ERRO] Varivel de ambiente WORKSPACE no definida"
exit 1
fi
. ${WORKSPACE}/hudson/openbus.sh
###############################################################################
ShowLog() {
echo "================================ $1 Output Log ==============================="
cat $2
echo
echo "================================ $1 Error Log ================================"
cat $3
echo
echo "=============================================================================="
}
###############################################################################
ACSPIDFILE=${WORKSPACE}/acs.pid
RGSPIDFILE=${WORKSPACE}/rgs.pid
SSSPIDFILE=${WORKSPACE}/sss.pid
ACSOUTFILE=${WORKSPACE}/acs-job-${BUILD_NUMBER}-date-${BUILD_ID}.out
ACSERRFILE=${WORKSPACE}/acs-job-${BUILD_NUMBER}-date-${BUILD_ID}.err
RGSOUTFILE=${WORKSPACE}/rgs-job-${BUILD_NUMBER}-date-${BUILD_ID}.out
RGSERRFILE=${WORKSPACE}/rgs-job-${BUILD_NUMBER}-date-${BUILD_ID}.err
SSSOUTFILE=${WORKSPACE}/sss-job-${BUILD_NUMBER}-date-${BUILD_ID}.out
SSSERRFILE=${WORKSPACE}/sss-job-${BUILD_NUMBER}-date-${BUILD_ID}.err
###############################################################################
MGT_EXTRAARGS="--login=tester --password=tester"
if [ -n "${ACS_HOST}" ] && [ -n "${ACS_PORT}" ]; then
# management
MGT_EXTRAARGS="$MGT_EXTRAARGS --acs-host=${ACS_HOST} "
MGT_EXTRAARGS="$MGT_EXTRAARGS --acs-port=${ACS_PORT} "
fi
###############################################################################
echo "Iniciando Servio de Acesso"
daemonize -o ${ACSOUTFILE} -e ${ACSERRFILE} -p ${ACSPIDFILE} ${OPENBUS_HOME}/bin/run_access_control_server.sh
sleep 5
ACSPID=`cat ${ACSPIDFILE}`
if ! ( kill -0 ${ACSPID} 1>/dev/null 2>&1 ) ;then
echo "==============================================================================="
echo "[ERRO] Falha ao iniciar o Servio de Controle de Acesso"
ShowLog "ACS" ${ACSOUTFILE} ${ACSERRFILE}
rm -f ${ACSOUTFILE} ${ACSERRFILE} ${ACSPIDFILE}
exit 1
fi
###############################################################################
echo "Iniciando Servio de Registro"
daemonize -o ${RGSOUTFILE} -e ${RGSERRFILE} -p ${RGSPIDFILE} ${OPENBUS_HOME}/bin/run_registry_server.sh
sleep 10
RGSPID=`cat ${RGSPIDFILE}`
if ! ( kill -0 ${RGSPID} 1>/dev/null 2>&1 ) ;then
echo "==============================================================================="
echo "[ERRO] Falha ao iniciar o Servio de Registro"
ShowLog "ACS" ${ACSOUTFILE} ${ACSERRFILE}
ShowLog "RGS" ${RGSOUTFILE} ${RGSERRFILE}
kill -9 ${ACSPID}
rm -f ${ACSOUTFILE} ${ACSERRFILE} ${ACSPIDFILE}
rm -f ${RGSOUTFILE} ${RGSERRFILE} ${RGSPIDFILE}
exit 1
fi
###############################################################################
echo "Iniciando Servio de Sesso"
daemonize -o ${SSSOUTFILE} -e ${SSSERRFILE} -p ${SSSPIDFILE} ${OPENBUS_HOME}/bin/run_session_server.sh
sleep 10
SSSPID=`cat ${SSSPIDFILE}`
if ! ( kill -0 ${SSSPID} 1>/dev/null 2>&1 ) ;then
echo "==============================================================================="
echo "[ERRO] Falha ao iniciar o Servio de Sesso"
ShowLog "ACS" ${ACSOUTFILE} ${ACSERRFILE}
ShowLog "RGS" ${RGSOUTFILE} ${RGSERRFILE}
ShowLog "SSS" ${SSSOUTFILE} ${SSSERRFILE}
kill -9 ${RGSPID}
kill -9 ${ACSPID}
rm -f ${ACSOUTFILE} ${ACSERRFILE} ${ACSPIDFILE}
rm -f ${RGSOUTFILE} ${RGSERRFILE} ${RGSPIDFILE}
rm -f ${SSSOUTFILE} ${SSSERRFILE} ${SSSPIDFILE}
exit 1
fi
###############################################################################
cd ${OPENBUS_HOME}/test
cp ${OPENBUS_HOME}/data/certificates/AccessControlService.crt .
echo -e "\n\n\n\n\n\n\n" | ${WORKSPACE}/hudson/genkey.sh TesteBarramento
echo -e "\n\n\n\n\n\n\n" | ${WORKSPACE}/hudson/genkey.sh TesteBarramento02
echo
${OPENBUS_HOME}/bin/run_management.sh ${MGT_EXTRAARGS} \
--add-system=TesteBarramento --description=Teste
${OPENBUS_HOME}/bin/run_management.sh ${MGT_EXTRAARGS} \
--add-deployment=TesteBarramento --description=Teste \
--certificate=TesteBarramento.crt --system=TesteBarramento
${OPENBUS_HOME}/bin/run_management.sh ${MGT_EXTRAARGS} \
--set-authorization=TesteBarramento --grant="IDL:IHello_v1:1.0" --no-strict
${OPENBUS_HOME}/bin/run_management.sh ${MGT_EXTRAARGS} \
--set-authorization=TesteBarramento --grant="IDL:IHello_v2:1.0" --no-strict
./run_unit_test.sh management/testManagement.lua
CODE=$?
kill -9 ${SSSPID}
kill -9 ${RGSPID}
kill -9 ${ACSPID}
if [ ${CODE} -eq 1 ] ;then
ShowLog "ACS" ${ACSOUTFILE} ${ACSERRFILE}
ShowLog "RGS" ${RGSOUTFILE} ${RGSERRFILE}
ShowLog "SSS" ${SSSOUTFILE} ${SSSERRFILE}
fi
rm -f ${ACSOUTFILE} ${ACSERRFILE} ${ACSPIDFILE} ${RGSOUTFILE} ${RGSERRFILE} ${RGSPIDFILE}
rm -f ${SSSOUTFILE} ${SSSERRFILE} ${SSSPIDFILE}
exit ${CODE}
#!/bin/ksh
echo "==============================================================================="
echo
echo " TESTE DO SERVIO DE REGISTRO "
echo
echo "==============================================================================="
###############################################################################
if [ -z "${WORKSPACE}" ] ;then
echo "[ERRO] Varivel de ambiente WORKSPACE no definida"
exit 1
fi
. ${WORKSPACE}/hudson/openbus.sh
###############################################################################
ShowLog() {
echo "================================ $1 Output Log ==============================="
cat $2
echo
echo "================================ $1 Error Log ================================"
cat $3
echo
echo "=============================================================================="
}
###############################################################################
ACSPIDFILE=${WORKSPACE}/acs.pid
RGSPIDFILE=${WORKSPACE}/rgs.pid
ACSOUTFILE=${WORKSPACE}/acs-job-${BUILD_NUMBER}-date-${BUILD_ID}.out
ACSERRFILE=${WORKSPACE}/acs-job-${BUILD_NUMBER}-date-${BUILD_ID}.err
RGSOUTFILE=${WORKSPACE}/rgs-job-${BUILD_NUMBER}-date-${BUILD_ID}.out
RGSERRFILE=${WORKSPACE}/rgs-job-${BUILD_NUMBER}-date-${BUILD_ID}.err
###############################################################################
echo "Iniciando Servio de Controle de Acesso"
daemonize -o ${ACSOUTFILE} -e ${ACSERRFILE} -p ${ACSPIDFILE} ${OPENBUS_HOME}/bin/run_access_control_server.sh
sleep 5
ACSPID=`cat ${ACSPIDFILE}`
if ! ( kill -0 ${ACSPID} 1>/dev/null 2>&1 ) ;then
echo "==============================================================================="
echo "[ERRO] Falha ao iniciar o Servio de Controle de Acesso"
ShowLog "ACS" ${ACSOUTFILE} ${ACSERRFILE}
rm -f ${ACSOUTFILE} ${ACSERRFILE} ${ACSPIDFILE}
exit 1
fi
###############################################################################
echo "Iniciando Servio de Registro"
daemonize -o ${RGSOUTFILE} -e ${RGSERRFILE} -p ${RGSPIDFILE} ${OPENBUS_HOME}/bin/run_registry_server.sh
sleep 10
RGSPID=`cat ${RGSPIDFILE}`
if ! ( kill -0 ${RGSPID} 1>/dev/null 2>&1 ) ;then
echo "==============================================================================="